package managedbean.common;

import java.io.Serializable;

import javax.annotation.ManagedBean;
import javax.enterprise.context.SessionScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.inject.Named;

@ManagedBean
@Named("sessionPreferences")
@SessionScoped
public class SessionPreferences implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String currentTheme = "nova-light";

	public SessionPreferences() {
	}

	public String getCurrentTheme() {
		return currentTheme;
	}

	public void setCurrentTheme(String themeName) {
		this.currentTheme = themeName;
	}

	public void updateCurrentTheme() {
		// TODO: Se podría guardar el tema seleccionado en base de datos para el usuario
		// (en caso de que esté logeado en el sistema
		FacesContext.getCurrentInstance().addMessage(null,
				new FacesMessage(FacesMessage.SEVERITY_INFO, "Tema guardado", "El tema seleccionado será utilizado durante esta sesión."));
	}
}